Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234471 - multipath devices (dm-?) will not be created in /dev/
Summary: multipath devices (dm-?) will not be created in /dev/
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath
Version: 6
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Marzinski
QA Contact: Corey Marthaler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-29 15:03 UTC by Arne
Modified: 2007-11-30 22:12 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-30 23:40:21 UTC


Attachments (Terms of Use)

Description Arne 2007-03-29 15:03:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 2.0.50727)

Description of problem:
Hardware: SUN X4100 2AMD 285 16GB ISCSI over Silverback iSNAP HBA 2path
 
when I boot, the multipath is working fine and the devices are created well under /dev/mapper/mpath[0-n] and I can see underlying devices in cat /proc/partitions
 
I do see as well the within that list (proc/partitions) that there are multipath-devices dm-0, dm-1, dm2 .... but this devices are not created under /dev/
 
 
So, I can create the nodes with mknod dm-0 b 253 0 and so on, and mount the multipathed device then, but this is not boot safe. After a boot this manually created devicenodes are gone and I have to do it by myself again. Really strange is, that this "dm-n" devices are there and named as you can see in multipath -ll or in cat /proc/partitions but the nodes are never created. 

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. boot
2. cat /proc/partitions | grep dm-
3. ls -la /dev/dm*

Actual Results:
after 2.) I see dm-0, dm-1 and dm-2 created
after 3.) I get a no such file or directory

Expected Results:
after 2.) OK
after 3.) I would expect a devicenode

Additional info:

Comment 1 Ben Marzinski 2007-03-30 23:40:21 UTC
In fc6, the udev rules for device-mapper devices don't create /dev/dm-* devices.
This is actually a good thing. There is no guarantee that these device names will
always point to the same device. For instance if on one boot /dev/dm-1 points to
your LVM root volume, on another boot, it could be that /dev/dm-2 points to it.
So referencing devices by these names is not safe.  Further, the /dev/dm-* names
are not created until udev runs, so if you need to access a device early in the
boot process, you must use the /dev/mapper name. Really, there is no good reason
to ever use the /dev/dm-* names. You should always use the /dev/mapper ones. It
is unfortunate that /proc/partitions references them by the /dev/dm-* name.


Note You need to log in before you can comment on or make changes to this bug.